> For the complete documentation index, see [llms.txt](https://docs.corppass.gov.sg/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.corppass.gov.sg/technical-specifications/corppass-authorization-api-fapi-2.0/scopes/corppass-standard-scopes.md).

# Corppass Standard Scopes

Corppass standard scopes provide access to identity information about the transacting user, and the entity that the user is transacting on behalf of.

These scopes are **available to all Corppass applications**.

## Protocol Scopes

Protocol scopes are mandatory scopes required for authentication and authorization.

<table><thead><tr><th width="199.6171875" valign="top">Scope</th><th>Description</th></tr></thead><tbody><tr><td valign="top"><code>openid</code></td><td><p><strong>Mandatory</strong> scope to indicate the request is an OpenID Connect flow.</p><p></p><p>The scope must be included in the <code>scope</code> parameter of an authorization request.</p></td></tr></tbody></table>

## Authorization Scopes

Authorization scopes provide access to authorization details about the transacting user.

<table><thead><tr><th width="200.38671875" valign="top">Scope</th><th width="360.30859375" valign="top">Description</th><th valign="top">Data Access</th><th valign="top">Endpoint</th></tr></thead><tbody><tr><td valign="top"><code>authinfo</code></td><td valign="top">View authorization details about the transacting user.</td><td valign="top"><pre><code>auth_info
</code></pre></td><td valign="top"><a href="/pages/fFIrslCA8R1d2tn8SIza">UserInfo</a></td></tr><tr><td valign="top"><code>tpauthinfo</code></td><td valign="top">View third-party authorization details about the transacting user.</td><td valign="top"><pre><code>tp_auth_info
</code></pre></td><td valign="top"><a href="/pages/fFIrslCA8R1d2tn8SIza">UserInfo</a></td></tr></tbody></table>

## Entity Scopes

Entity scopes provide access to profile information about the entity that the user is transacting on behalf of.

<table><thead><tr><th width="200.08984375" valign="top">Scope</th><th width="360.4921875" valign="top">Description &#x26; Endpoint</th><th valign="top">Data Access</th><th valign="top">Endpoint</th></tr></thead><tbody><tr><td valign="top"><code>entity.identity</code></td><td valign="top"><p>View entity identity, includes:</p><ul><li>entity type</li><li>registration number</li><li>country of incorporation using ISO 3166-1 alpha-2 standard<br>Refer to <a href="https://www.iso.org/iso-3166-country-codes.html">ISO 3166</a> for possible values.</li></ul></td><td valign="top"><pre><code><strong>sub_attributes:
</strong>- entity_type
- entity_reg_number
- entity_coi
</code></pre></td><td valign="top"><a href="/pages/tdw1eZJeFJxNFBu1QGx2">Token</a></td></tr><tr><td valign="top"><code>entity.basic_profile.name</code></td><td valign="top">View entity name.</td><td valign="top"><pre><code>sub_attributes:
- entity_name
</code></pre></td><td valign="top"><a href="/pages/tdw1eZJeFJxNFBu1QGx2">Token</a></td></tr><tr><td valign="top"><code>entity.basic_profile.uen_status</code></td><td valign="top">View entity UEN status.</td><td valign="top"><pre><code>sub_attributes:
- entity_uen_status
</code></pre></td><td valign="top"><a href="/pages/tdw1eZJeFJxNFBu1QGx2">Token</a></td></tr></tbody></table>

## User Scopes

User scopes provide access to profile information about the transacting user.

<table><thead><tr><th width="199.69921875" valign="top">Scope</th><th width="360.08984375" valign="top">Description</th><th valign="top">Data Access</th><th valign="top">Endpoint</th></tr></thead><tbody><tr><td valign="top"><code>user.identity</code></td><td valign="top"><p>View acting user's identity, includes:</p><ul><li>account type</li><li>identity number</li><li>country of issuance using ISO 3166-1 alpha-2 standard<br>Refer to <a href="https://www.iso.org/iso-3166-country-codes.html">ISO 3166</a> for possible values.</li></ul><p></p></td><td valign="top"><pre><code>act.sub_attributes:
- account_type
- identity_number
- identity_coi
</code></pre></td><td valign="top"><a href="/pages/tdw1eZJeFJxNFBu1QGx2">Token</a></td></tr><tr><td valign="top"><code>user.name</code></td><td valign="top">View acting user's name.</td><td valign="top"><pre><code>act.sub_attributes:
- name
</code></pre></td><td valign="top"><a href="/pages/tdw1eZJeFJxNFBu1QGx2">Token</a></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.corppass.gov.sg/technical-specifications/corppass-authorization-api-fapi-2.0/scopes/corppass-standard-scopes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
